//
// Created by zxm on 2022/12/29.
//

#ifndef UOS_RECOVERY_COMMONFUNC_H
#define UOS_RECOVERY_COMMONFUNC_H
#include <QString>
#include <QObject>

struct BackupFileInfo;

class Common : public QObject {
    Q_OBJECT
public:
    static QString GetOperateTypeDes(int opType);
    static void getHistoryBackup(QList<BackupFileInfo> &backupList, const QString &backupPath, bool needUmount);
    static void umountDeviceByUUID(const QString &uuid);
    static bool isSupportV20BackupAndRestore();
    static bool isLiveCD();
    static bool isSeUser();
    static bool isSecurityEnhanced();
    static QStringList getDenyUserSecurityList(const QString &entity);
};

#endif
